Bug 32083 - Linking with "-lc_p" fails, ld eats 100% CPU
Linking with "-lc_p" fails, ld eats 100% CPU
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-17 10:04 EST by Chris Evans
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 17:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2001-03-17 10:04:56 EST
Found on Wolverine, Trond confirmed that latest builds exhibit this
problem.

To reproduce, compile a simple program with
gcc prog.c -lc_p

You will observe the gcc command hang, and ld will eat 100% CPU
Comment 1 Chris Evans 2001-03-17 10:44:07 EST
Ouch - seriously broken on RH7.0 too.
Linking a program with -lc_p will cause it to segfault on
startup :-(((
Using -profile works for simple programs but still dies
horribly on startup with more complex programs.
Comment 2 Richard Henderson 2004-10-01 17:50:15 EDT
Works at least with gcc-3.2.3-20, glibc-profile-2.3.2-95.3,
binutils-2.14.90.0.4-26.

Note You need to log in before you can comment on or make changes to this bug.